defmodule SqlMembershipProvider.MixProject do
  use Mix.Project

  def project do
    [
      app: :sql_membership_provider,
      version: "0.1.2",
      elixir: "~> 1.8",
      start_permanent: Mix.env() == :prod,
      description: description(),
      package: package(),
      deps: deps(),
      docs: docs()
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger]
    ]
  end

  defp description do
    """
    Read and authenticate against ASP.NET Membership Microsoft SQL Server databases
    """
  end

  defp package do
    [
      files: ["lib", "mix.exs", "README*", "LICENSE*"],
      maintainers: ["Eric Lathrop"],
      licenses: ["MIT"],
      links: %{"GitLab" => "https://gitlab.com/horse-racing-labs/sql_membership_provider"},
      source_url: "https://gitlab.com/horse-racing-labs/sql_membership_provider",
      homepage_url: "https://gitlab.com/horse-racing-labs/sql_membership_provider"
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:ex_doc, "~> 0.21.3", only: :dev, runtime: false},
      {:mix_test_watch, "~> 1.0.2", only: :dev, runtime: false},
      {:tds, "~> 2.0.0"}
    ]
  end

  defp docs do
    [
      main: "readme",
      extras: ["CHANGELOG.md", "README.md"]
    ]
  end
end
